	var dscomponent = {
		template:`
		<div>
			<div id="" style="display: flex">
				<el-input v-model="p_id_v" placeholder="产品编码" clearable style="width: 160px;" @change="input_change"></el-input>
				<el-input v-model="p_name_v" placeholder="产品名称" clearable style="width: 160px;" @change="input_change"></el-input>
				<el-button id ="bt_search" plain type="primary" icon="el-icon-search" @click="get_ds()">搜索</el-button>
				<el-button plain type="primary" icon="el-icon-circle-plus-outline" @click="importCsv()">导入</el-button>
				<el-button id ="bt_del" plain type="primary" icon="el-icon-circle-plus-outline" @click="del_ds()">删除</el-button>
			</div>
			<div>
				<el-progress v-if="if_show_process" :percentage="percent_len" ></el-progress>
			</div>
			<div class="span">
				<el-table
				    :data="tableData"
				    style="width: 100%"
				    :height="tHeight"
					:cell-style="{background:'#fff'}"
					border
					@selection-change="handleSelectionChange"
					>
					<el-table-column
					  type="selection"
					  >
					</el-table-column>
				    <el-table-column
				      prop="p_id"
				      label="产品编号"
				      width="120"
					  :show-overflow-tooltip="true">
				    </el-table-column>
					  <el-table-column
						prop="p_name"
						label="产品名称"
						width="120"
						:show-overflow-tooltip="true">
					  </el-table-column>
					  
					  <el-table-column
						prop="serial_num"
						label="序列号"
						width="120"
						:show-overflow-tooltip="true">
					  </el-table-column>
					  <el-table-column
							prop="file"
							label="原始数据"
							width="160"
							:show-overflow-tooltip="true"
						>
						<template slot-scope="scope">
							<el-button @click="down_files(scope.row)" type="text" size="small">{{scope.row.file}}</el-button>
						</template>
					  </el-table-column>
					  <el-table-column
						prop="archive_user"
						label="归档人"
						width="120"
						>
					  </el-table-column>
					  <el-table-column
							prop="archive_time"
							label="归档日期"
							width="120"
						>
					  </el-table-column>
					  
					  <el-table-column
					    label="操作"
					    width="120">
					    <template slot-scope="scope">
						<el-upload
						  class="upload-demo"
						  ref="upload"
						  action="/pkpi/upload_ds_file"
						  :on-change="handleChange_file"
						  :file-list="fileList"
						  :show-file-list="false"
						  :on-success="upload_file_success"
						  :on-error="upload_file_error"
						  :data="upload_param(scope.row)">
						  <el-button slot="trigger" size="medium" type="success" >上传</el-button>
						</el-upload>
						</template>
					  </el-table-column>
					  
				  </el-table>
			</div>
			
			<div class="block">
			    <span class="demonstration"></span>
			    <el-pagination
			      @size-change="handleSizeChange"
			      @current-change="handleCurrentChange"
			      :current-page="currentPage"
			      :page-sizes="[50,100, 200, 300]"
			      :page-size="pagesize"
			      layout="total, sizes, prev, pager, next, jumper"
			      :total="recordTotal">
			    </el-pagination>
			  </div>
			  			
			<el-dialog
			 title="基础数据导入"
			 :visible.sync="importdialogVisible"
			 :lock-scroll ="false"
			 :before-close="importDialog_close"
			 width="30%">
				<div style="display: flex;">
					<el-upload
					 class="upload-demo"
					 action=""
					 :on-change="handleChange"
					 :file-list="fileListUpload"
					 :show-file-list="false"
					  accept=".csv"
					  :auto-upload="false">
					  <el-button id ="bt_upload" size="small" plain type="primary">点击上传（csv文件）</el-button>
					</el-upload>
					 <el-button id ="bt_import" size="small" plain type="primary" @click="importData" style="margin-left: 10px;">确认导入</el-button>
				<!--<el-button id ="bt_download" size="small" plain type="primary" @click="download_template" style="margin-left: 10px;">下载导入模板文件</el-button>-->
				</div>
				<div>
					<el-progress v-if="if_show_process1" :percentage="percent_len" ></el-progress>
				</div>
				<el-table
					    :data="importTableData"
					    style="font-size:13px;margin-top: 10px;width: 100%;"
						:height="tHeight*0.5"
						:cell-style="{background:'#fff'}"
						stripe border>
						
						<el-table-column
						  prop="p_id"
						  label="产品编号"
						  width="120"
						  :show-overflow-tooltip="true">
						</el-table-column>
						<el-table-column
						  prop="p_name"
						  label="产品名称"
						 width="120"
						 :show-overflow-tooltip="true">
						</el-table-column>
						
						<el-table-column
						  prop="serial_num"
						  label="序列号"
						 width="120"
						 :show-overflow-tooltip="true">
						</el-table-column>
					  </el-table>
			</el-dialog>
		</div>
		`,
	  data(){
		  // 获取当前屏幕的分辨率
		  let screenW = window.screen.width;
		  let screenH = window.screen.height;
		  console.log("screen width:",screenW);
		  console.log("screen height:",screenH);
		  return {
			tHeight:screenH*0.8,
			tableData: [],
			currentPage: 1,
			pagesize:50,
			recordTotal:0,
			p_id_v:'',
			p_name_v:'',
			
			dialogVisible:false,
			oper_type:0,
			multipleSelection: [],
			importdialogVisible:false,
			fileListUpload:[],
			importTableData:[],
			disabled:true,
			
			if_show_process:false,
			percent_len:0,
			interval:'',
			if_show_process1:false,
			
			fileList:[],
		  }
		},
		mounted() {
			
			var _this = this;
			
			var objs;
			axios.post('/pkpi/get_ds', {
				opuser:localStorage.getItem("online_user"),
				opuser_uuid:localStorage.getItem("uuid"),
				p_id: _this.$data.p_id_v,
				p_name: _this.$data.p_name_v,
			    index: _this.$data.currentPage,
			    count: _this.$data.pagesize
			  })
			  .then(function (response) {
				  
			    console.log(response.data);
				objs = response.data.data;
				rcnt = response.data.total;
				_this.$data.tableData = objs;
				_this.$data.recordTotal = rcnt;
			  })
			  .catch(function (error) {
			    console.log(error);
			  });
		},
	  methods: {
		down_files(row){
			var downUrl = '/pkpi/download_ds_file'+"?id="+row.file;
			downloadUrl(row.file,downUrl);
		},
		upload_param(row){
			console.log("---")
			return {
				id:row.id,
				archive_user:localStorage.getItem("online_user")
			}
		},
		upload_file_error(response, file, fileList){
			this.$message({
				message: "上传失败",
				type: "error",
				duration: 1500
			});
		},
		upload_file_success(response, file, fileList){
			this.$message({
				message: "上传成功",
				type: "success",
				duration: 1500
			});
			this.get_ds(this.$data.currentPage);
		},
		handleChange_file(file, fileList) {
			console.log(file);
		    this.fileList = fileList.slice(-1);
		},
		input_change(value) {
			console.log(value);
			this.get_ds();
		},
		importData(){
			document.getElementById("bt_import").blur();
			if(this.$data.importTableData.length==0){
			   this.$message({
				message: "请选择导入文件",
				type: "warning",
				duration: 1500
			   });
			   return;
			}
			
			  this.$confirm('是否确认导入?', '提示', {
				  confirmButtonText: '确定',
				  cancelButtonText: '取消',
				  type: 'warning'
				}).then(() => {
				  var _this = this;
				  _this.$data.percent_len=0;
				  _this.$data.if_show_process1=true;
				  _this.$data.interval= setInterval(()=>{
					 if(_this.$data.percent_len>=99){
						clearInterval(_this.$data.interval);
						return;
					 }
					 
					 if (_this.$data.percent_len<98){
					   _this.$data.percent_len+=2
					 }
				  },20)
				  
				  axios.post('/pkpi/import_ds_file', {
					opuser:localStorage.getItem("online_user"),
					opuser_uuid:localStorage.getItem("uuid"),
					data:this.$data.importTableData,
				  })
				  .then(function (response) {
											
					let r = response.data.r;
					let s = ""
					let errType = ""
					if (r == 0) {
						let len = _this.$data.importTableData.length;
						errType = "success"
						s = "导入成功("+len+"条)";
						_this.$data.percent_len=100;
						_this.$data.if_show_process1=false;
					} else if(r == 1) {
						errType = "error"
						s = "正在导入，请稍后！";
						clearInterval(_this.$data.interval);
					} else{
						errType = "error"
						s = "导入失败！";
						clearInterval(_this.$data.interval);
					}
					
					console.log(s);
					_this.$message({
						message: s,
						type: errType,
						duration: 3000
					});
									
					_this.$data.importdialogVisible=false;
					//更新页面
					_this.get_ds();
				  })
				  .catch(function (error) {
					console.log(error);
				  });
				}).catch(() => {
				  this.$message({
					type: 'info',
					message: '已取消'
				  });
				return;
				});
			},
		handleChange(file, fileList) {
		   document.getElementById("bt_upload").blur();
		   
			this.fileTemp = file.raw
			console.log("filetype:",this.fileTemp);
			if (this.fileTemp) {
				console.log("begin ...")
				console.log(this.fileTemp.type);
				if ((this.fileTemp.type == 'text/csv') || (this.fileTemp.type == '.csv') || (this.fileTemp.type == 'application/vnd.ms-excel')) {
					let _this = this//如果需要点击事件结束之后对DOM进行操作使用)_this.xx=xx进行操作
					Papa.parse(_this.fileTemp, {
					  encoding:'gb2312',
					  complete (results) {
						console.log(results)//这个是csv文件的数据
						let data = []
						//遍历csv文件中的数据，存放到data中 方法不唯一，可自己更改
						for (let i = 0; i < results.data.length; ++i) {
							if(i==0){
								continue;
							}
							let obj = {}
							obj.p_id = results.data[i][0]
							if(obj.p_id==""|| obj.p_id==undefined){
								continue;
							}
							obj.p_name = results.data[i][1]
							obj.serial_num = results.data[i][2]
							data.push(obj)
						}
						//data.splice(0, 1)//将数组第一位的表格名称去除
						console.log('data', data)
						_this.$data.importTableData=data;
					  }
					})
							
				} else {
					this.$data.fileListUpload=[];
					this.$message({
					type: 'warning',
						message: '附件格式错误，请删除后重新上传！'
					})
				}
			} else {
			this.$message({
					type: 'warning',
				  message: '请上传附件！'
				})
				}
		  },
		
		importCsv(){
		  this.$data.fileListUpload=[];
		  this.$data.importTableData=[];
		  this.$data.importdialogVisible=true;
		},
		importDialog_close(done){
		  done();
		},
		handleSelectionChange(val) {
			console.log("已选择");
			console.log(val);
			this.multipleSelection = val;
		},

		del_ds(){
			var _this = this;
		  
		   axios.post('/pkpi/del_ds', {
			opuser:localStorage.getItem("online_user"),
			opuser_uuid:localStorage.getItem("uuid"),
			ids: _this.$data.multipleSelection,
		  })
		  .then(function (response) {
			
			let r = response.data.r;
			let s = ""
			let errType = ""
			if (r == 0) {
				s = "删除成功！";
				errType = "success"
			} else{
				s = "删除失败！";
				errType = "error"
			}

			_this.$message({
				message: s,
				type: errType,
				duration: 1500
			});
			
			if (r ==0) {
				_this.get_ds();//更新页面
			}
			
		  })
		  .catch(function (error) {
			console.log(error);
		  });
		},

		get_ds(cur_page){
			document.getElementById("bt_search").blur();	
			
			if (cur_page==undefined){
				this.$data.currentPage=1;
			} else {
				this.$data.currentPage=cur_page;
			}

			var _this = this;

			var objs;
			axios.post('/pkpi/get_ds', {
				opuser:localStorage.getItem("online_user"),
				opuser_uuid:localStorage.getItem("uuid"),
				p_id: _this.$data.p_id_v,
				p_name: _this.$data.p_name_v,
				index: this.$data.currentPage,
				count: this.$data.pagesize
			  })
			  .then(function (response) {
				console.log(response.data);
				objs = response.data.data;
				rcnt = response.data.total;
				_this.$data.tableData = objs;
				_this.$data.recordTotal = rcnt;
			  })
			  .catch(function (error) {
				console.log(error);
			  });
	
		},

		handleSizeChange(val) {
			  this.$data.pagesize = val;
			  
			  var _this = this;
			  
			  var objs;
			  axios.post('/pkpi/get_ds', {
					opuser:localStorage.getItem("online_user"),
					opuser_uuid:localStorage.getItem("uuid"),
					p_id: _this.$data.p_id_v,
					p_name: _this.$data.p_name_v,
					index: this.$data.currentPage,
					count: this.$data.pagesize
				})
				.then(function (response) {
				  console.log(response.data);
				objs = response.data.data;
				rcnt = response.data.total;
				_this.$data.tableData = objs;
				_this.$data.recordTotal = rcnt;
				})
				.catch(function (error) {
				  console.log(error);
				});
		},
		handleCurrentChange(val) {
		  this.$data.currentPage = val;
		  
		  var _this = this;
		  
		  var objs;
		  axios.post('/pkpi/get_ds', {
					opuser:localStorage.getItem("online_user"),
					opuser_uuid:localStorage.getItem("uuid"),
					p_id: _this.$data.p_id_v,
					p_name: _this.$data.p_name_v,
					index: this.$data.currentPage,
					count: this.$data.pagesize
				})
				.then(function (response) {
				  console.log(response.data);
				objs = response.data.data;
				rcnt = response.data.total;
				_this.$data.tableData = objs;
				_this.$data.recordTotal = rcnt;
				})
				.catch(function (error) {
				  console.log(error);
				});
		}
	  }
	}
			